<?php
/*
  Template Name: Contact
 */
$nameError = '';
$emailError = '';
$commentError = '';
if (isset($_POST['submitted'])) {
    if (!wp_verify_nonce($_POST['_contact_nonce'], 'contact_nonce')) {
        $hasError = true;
    }
    if (trim($_POST['contactName']) === '') {
        $nameError = __('Please enter your name.', 'colorway');
        $hasError = true;
    } else {
        $name = esc_attr($_POST['contactName']);
    }
    if (trim($_POST['email']) === '') {
        $emailError = __('Please enter your email address.', 'colorway');
        $hasError = true;
    } else if (!filter_var($_POST["email"], FILTER_VALIDATE_EMAIL)) {
        $emailError = __('You entered an invalid email address.', 'colorway');
        $hasError = true;
    } else {
        $email = esc_attr($_POST['email']);
    }
    if (trim($_POST['comments']) === '') {
        $commentError = __('Please enter a message.', 'colorway');
        $hasError = true;
    } else {
        $comments = esc_html($_POST['comments']);
    }
    if (!isset($hasError)) {
        $emailTo = get_option('tz_email');
        if (!isset($emailTo) || ($emailTo == '')) {
            $emailTo = get_option('admin_email');
        }
        $subject = 'From ' . $name;
        $body = "Name: $name \n\nEmail: $email \n\nComments: $comments";
        $headers = 'From: ' . $name . ' <' . $emailTo . '>' . "\r\n" . 'Reply-To: ' . $email;
        mail($emailTo, $subject, $body, $headers);
        $emailSent = true;
    }
}
?>
<?php get_header(); 
$b = get_option('container-layout');
switch ($b) {
   case 'container':
       $container = 'container';
       break;
   case 'fullwidth-container':
       $container = 'container-fluid';
       break;
   default:
       $container = 'container-fluid';
}
?>
<div style="background-color:white;" class="<?php echo $container; ?>">
   <div class="<?php if ($container != "container-fluid") {
   echo "container";
} ?>">
<!--Start Content Grid-->
<div class="row content contact">
    <div  class="col-md-8 col-sm-8">
        <div class="content-wrap">
            <div class="content-info"></div>
            <!--Start Blog Post-->
            <div class="contact">
                <h2>
                    <?php the_title(); ?>
                </h2>
                <ul>
                    <?php if (have_posts()) while (have_posts()) : the_post(); ?>
                            <li>
                                <?php if (isset($emailSent) && $emailSent == true) { ?>
                                    <div class="thanks">
                                        <p><?php _e('Thanks, your email was sent successfully.', 'colorway'); ?></p>
                                    </div>
                                <?php } else { ?>
                                    <?php the_content(); ?>
                                    <?php if (isset($hasError) || isset($captchaError)) { ?>
                                        <p class="error"><?php _e('Sorry, an error occured.', 'colorway'); ?>
                                        <p>
                                        <?php } ?>
                                    <form action="<?php the_permalink(); ?>" id="contactForm" method="post">
                                        <?php wp_nonce_field('contact_nonce', '_contact_nonce'); ?>
                                        <ul class="contactform">
                                            <li>
                                                <label for="contactName"><?php _e('Name:', 'colorway'); ?></label>
                                                <input type="text" name="contactName" id="contactName" value="<?php if (isset($_POST['contactName'])) echo esc_attr($_POST['contactName']); ?>" class="required requiredField" />
                                                <?php if ($nameError != '') { ?>
                                                    <span class="error"> <?php echo $nameError; ?> </span>
                                                <?php } ?>
                                            </li>
                                            <li>
                                                <label for="email"><?php _e('Email', 'colorway'); ?></label>
                                                <input type="text" name="email" id="email" value="<?php if (isset($_POST['email'])) echo esc_attr($_POST['email']); ?>" class="required requiredField email" />
                                                <?php if ($emailError != '') { ?>
                                                    <span class="error"> <?php echo $emailError; ?> </span>
                                                <?php } ?>
                                            </li>
                                            <li>
                                                <label for="commentsText"><?php _e('Message:', 'colorway'); ?></label>
                                                <textarea name="comments" id="commentsText" rows="20" cols="30" class="required requiredField"><?php
                                                    if (isset($_POST['comments'])) {
                                                        echo esc_html($_POST['comments']);
                                                    }
                                                    ?>
                                                </textarea>
                                                <?php if ($commentError != '') { ?>
                                                    <span class="error"> <?php echo $commentError; ?> </span>
                                                <?php } ?>
                                            </li>
                                            <li>
                                                <input type="submit" value="<?php _e('Send Email', 'colorway'); ?>"/>
                                            </li>
                                        </ul>
                                        <input type="hidden" name="submitted" id="submitted" value="true" />
                                    </form>
                                <?php } ?>
                            </li>
                            <!-- End the Loop. -->
                        <?php endwhile; ?>
                </ul>
            </div>
            <div class="hrline"></div>
            <!--End Blog Post-->
     
            <div class="clear"></div>      
        </div>
    </div>
    <div class="col-md-4">
        <div class="sidebar">
            <?php get_sidebar(); ?>
        </div>
    </div>
</div>
<div class="clear"></div>
<!--End Content Grid-->
</div>
</div>

<!--End Container Div-->
<?php get_footer(); ?>
