<?php
/**
 * The template for displaying Archive pages.
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 */
get_header();
$sidebar = '';
$center = '';
$a = get_option('blog-layout');
switch ($a) {
    case 'content-sidebar':
        $sidebar = 'right';
        break;
    case 'sidebar-content':
        $sidebar = 'left';
        break;
    case 'content':
        $center = 'col-md-12 col-sm-12';
        break;
    default:
        $sidebar = 'right';
}
$b = get_option('container-layout');
switch ($b) {
   case 'container':
       $container = 'container';
       break;
   case 'fullwidth-container':
       $container = 'container-fluid';
       break;
   default:
       $container = 'container-fluid';
}
?>
<div style="background-color:white;" class="<?php echo $container; ?>">
   <div class="cw-content <?php if ($container == "container-fluid") {
   echo "container";
} ?>">
<!--Start Content Grid-->
<div class="row content contact">
    <?php if ($sidebar == 'left') { ?>
        <div class="col-md-4 col-sm-4">
            <div class="sidebar <?php echo $sidebar; ?>">
                <?php get_sidebar(); ?>
            </div>
        </div>
    <?php } ?>

    <div class="<?php
    if ($center != '') {
        echo $center;
    } else {
        echo 'col-md-8';
    }
    ?>">
        <div class="content-wrap">
            <div class="content-info">                
            </div>
            <div class="blog">
                <h1>
                    <?php printf(__('Tag Archives: %s', 'colorway'), '' . single_tag_title('', false) . ''); ?>
                </h1>
                <?php
                /* Run the loop for the tag archive to output the posts
                 * If you want to overload this in a child theme then include a file
                 * called loop-tag.php and that will be used instead.
                 */
                get_template_part('loop', 'tag');
                ?>
            </div>
            <div class="folio-page-info">
                <!--<label>Page:</label>-->
                <?php /* Display navigation to next/previous pages when applicable */ ?>
                <?php if ($wp_query->max_num_pages > 1) : ?>
                    <?php next_posts_link(__('&larr; Older posts', 'colorway')); ?>
                    <?php previous_posts_link(__('Newer posts &rarr;', 'colorway')); ?>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <?php if ($sidebar == 'right') { ?>
        <div class="col-md-4 col-sm-4">
            <div class="sidebar <?php echo $sidebar; ?>">
                <?php get_sidebar(); ?>
            </div>
        </div>
    <?php } ?>
</div>
<div class="clear"></div>
<!--End Content Grid-->
</div>
</div>
<!--End Container Div-->
<?php get_footer(); ?>
